tag @a[distance=..8] add player
xp set @a 100 levels
gamemode adventure @a[tag=player] 
clear @a[tag=player]

gamerule announceAdvancements false
advancement grant @a only minecraft:story/mine_diamond
advancement grant @a only minecraft:recipes/transportation/acacia_boat
advancement grant @a only minecraft:recipes/transportation/jungle_boat
advancement grant @a only minecraft:recipes/transportation/birch_boat
advancement grant @a only minecraft:recipes/transportation/oak_boat
advancement grant @a only minecraft:recipes/transportation/dark_oak_boat
advancement grant @a only minecraft:recipes/transportation/spruce_boat
advancement grant @a only minecraft:adventure/sleep_in_bed

gamerule announceAdvancements true

replaceitem entity @a[tag=player] armor.head diorite_stairs{display:{Name:'{"text":"Your Face"}'},HideFlags:63,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],AttributeModifiers:[{AttributeName:"generic.movement_speed",Name:"generic.movement_speed",Amount:-0.7,Operation:1,UUID:[I;-1854315983,1414611114,-1148508798,1186997111],Slot:"head"}]} 1


#give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Antagonise"}'},Unbreakable:1b,CustomModelData:1} 1

give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Talk to the Ghost","color":"light_purple","bold":true}',Lore:['{"text":"Right-click to antagonise the ghost."}','{"text":"Shift+Right-Click to attempt to soothe it ONCE if not too angry."}']},Unbreakable:1b,CustomModelData:1} 1

give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Ritual Chalk","color":"light_purple","bold":true}',Lore:['{"text":"Right-click to make marks on the floor."}','{"text":"Shift+Right-Click to start the summoning ritual. Massive Cooldown."}']},Unbreakable:1b,CustomModelData:10} 1


#give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Holy Water","color":"light_purple","bold":true}',Lore:['{"text":"Allows you to temporarily banish a ghost at close range one time."}']},Unbreakable:1b,CustomModelData:0} 1

#give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Start Ritual","color":"light_purple","bold":true}',Lore:['{"text":"Will only succeed in the haunted room. Massive cooldown."}']},Unbreakable:1b,CustomModelData:10} 1

give @a[tag=player] carrot_on_a_stick{display:{Name:'{"text":"Vitamins","color":"light_purple","bold":true}',Lore:['{"text":"Right-click to take one and focus."}','{"text":"Shift+Right-Click to take all of them and regain some vitality."}']},Unbreakable:1b,CustomModelData:11} 1

give @a[tag=player] written_book{pages:['["",{"text":"\\n\\n\\n \\u0020 \\u0020 \\u0020 \\u0020 \\u0020\\u259a\\u259e\\n \\u0020 \\u0020 \\u0020 \\u0020 \\u0020\\u259e\\u259a\\n\\n\\n"},{"selector":"@a[sort=nearest,limit=1]"},{"text":"\'s\\n \\u0020 \\u0020 Investigation\\n \\u0020 \\u0020 \\u0020 Journal"}]','["",{"text":"Redmoore Manor ","color":"red"},{"selector":"@e[tag=lore1]","color":"reset"},{"text":" While currently abandoned, its last head of the house was Lord "},{"selector":"@e[tag=m]"},{"text":" Redmoore with his "},{"selector":"@e[tag=s4]"},{"text":", "},{"selector":"@e[tag=s]"},{"text":" and two children, heir to the fortune, "},{"selector":"@e[tag=h]"},{"text":" and little "},{"selector":"@e[tag=c]"},{"text":". "},{"text":" ","bold":true}]','["",{"text":"Lord "},{"selector":"@e[tag=m]"},{"text":" "},{"selector":"@e[tag=lore2]"},{"text":" and was frequently visited by his "},{"selector":"@e[tag=r5]"},{"text":", a renowned "},{"selector":"@e[tag=r4]"},{"text":", "},{"selector":"@e[tag=r]"},{"text":" "},{"selector":"@e[tag=r1]"},{"text":". The house was maintained by a "},{"selector":"@e[tag=b4]"},{"text":", "},{"selector":"@e[tag=b]"},{"text":"\\n"},{"selector":"@e[tag=b1]"},{"text":".","bold":true}]','["",{"text":"To-do list:","bold":true},{"text":"\\n\\n\\u2747 ","color":"reset"},{"text":"Find the haunted room.","hoverEvent":{"action":"show_text","contents":"The haunted room will have the most activity. Will inflict slowness if Ghost is angry. Use your Ritual Chalk to confirm if the room is haunted."}},{"text":"\\n\\u2747 "},{"text":"Find out the identity of the ghost.","hoverEvent":{"action":"show_text","contents":"The potential candidates for the Ghost used to have different hobbies. See if you can invoke reactions by placing down items they liked in life."}},{"text":"\\n\\u2747 "},{"text":"Find out how they died.","hoverEvent":{"action":"show_text","contents":"There are many potential murder weapons in the house. Surely brandishing them in front of the Ghost will reveal which one is the true cause of death."}},{"text":"\\n\\u2747 "},{"text":"Find out who was responsible.","hoverEvent":{"action":"show_text","contents":"I need to find out who in the house could not have done it and by the process of elimination, the final option must be the true one."}}]','["",{"text":"Evidence Found so far:\\n\\n","bold":true},{"text":"Click to review the letters","clickEvent":{"action":"run_command","value":"/scoreboard players set @a recap 1"}},{"text":"\\n\\n "},{"text":"Click to review the alibis","clickEvent":{"action":"run_command","value":"/scoreboard players set @a recap2 1"}}]','["",{"text":"Lord ","color":"red"},{"selector":"@e[tag=m]","color":"red"},{"text":" Redmoore:","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"Lady ","color":"red"},{"selector":"@e[tag=s]","color":"red"},{"text":" Redmoore:","color":"red"},{"text":"\\n\\n","color":"reset"},{"text":"- Lord\'s ","color":"black"},{"selector":"@e[tag=s4]","color":"black"}]','["",{"selector":"@e[tag=h]","color":"red"},{"text":" Redmoore:","color":"red"},{"text":"\\n\\n","color":"reset"},{"text":"- Lord\'s eldest child","color":"black"}]','["",{"selector":"@e[tag=c]","color":"red"},{"text":" Redmoore:","color":"red"},{"text":"\\n\\n","color":"reset"},{"text":"- Lord\'s youngest child","color":"black"}]','["",{"selector":"@e[tag=r]","color":"red"},{"text":" "},{"selector":"@e[tag=r1]","color":"red"},{"text":"\\n\\n","color":"reset"},{"text":"- Lord\'s ","color":"black"},{"selector":"@e[tag=r5]","color":"black"},{"text":"\\n- famous ","color":"black"},{"selector":"@e[tag=r4]","color":"black"}]','["",{"selector":"@e[tag=b]","color":"red"},{"text":" "},{"selector":"@e[tag=b1]","color":"red"},{"text":"\\n\\n","color":"reset"},{"text":"- mansion\'s ","color":"black"},{"selector":"@e[tag=b4]","color":"black"}]','["",{"text":"Forfeit the cleansing and return to headquarters:\\n\\n"},{"text":"Click to GIVE UP","color":"red","bold":true,"clickEvent":{"action":"run_command","value":"/scoreboard players set @a quitter 1"}},{"text":"\\n\\n "}]'],title:Journal,author:You}

#give @a[tag=player] dead_tube_coral{CanPlaceOn:["minecraft:mossy_cobblestone","minecraft:gold_block","minecraft:iron_block"],display:{Name:'{"text":"Chalk","bold":true}'},HideFlags:63} 15



give @a[tag=player] writable_book{display:{Name:'{"text":"Notebook","color":"dark_gray"}',Lore:['{"text":"Take notes if you need to"}']}} 1

tp @e[tag=player] 195.5 13 7.5 -64 -28.5


tp @e[tag=flowershop] 244 14.5 44
setblock 244 32 13 minecraft:redstone_block
scoreboard players set @e[tag=master] glassused 0

scoreboard players set @a crucifixcooldown 0
scoreboard players set @a chalkcooldown 0
scoreboard players set @a chalkuse 0
scoreboard players set @e cursecooldown 0
scoreboard players set @a lgcooldown 0
scoreboard players set @a evidence_p 0
scoreboard players set @a ritualcooldown 0
scoreboard players set @a tempdumbass 0
scoreboard players set @e[tag=master] crucifix_uses 2
scoreboard players set @e[tag=master] flowersused 0
scoreboard players set @e[tag=master] dollused 0
execute at @e[tag=glassshop] run scoreboard players add @e[tag=master] glassused 5
execute at @e[tag=flowershop] run scoreboard players add @e[tag=master] flowersused 5
execute at @e[tag=dollshop] run scoreboard players add @e[tag=master] dollused 5
scoreboard players add @e[tag=master] glassused 1
scoreboard players add @e[tag=master] flowersused 1
scoreboard players add @e[tag=master] dollused 1
scoreboard players set @e[tag=master] jamused 6
scoreboard players reset @a sprint
scoreboard players reset @e[tag=master] choices
scoreboard players reset @e[tag=master] choicesb 
scoreboard players reset @e[tag=master] choicesc

effect give @a[tag=player] minecraft:saturation 1 220 true
effect give @a[tag=player] minecraft:instant_health 1 20 true


scoreboard players set @e[tag=master] initialdialogue 5

tag @e[tag=apparition,limit=1,sort=random] add slimshady
kill @e[tag=apparition,tag=!slimshady]
tag @e[tag=haunted,limit=1,sort=random] add slimshady1
tag @e[tag=haunted,tag=!slimshady1] remove haunted
tag @a[tag=player] add  